<div class="tab-pane active" id="tab1">
    <div class="example-box-wrapper">
        <div class="row" style=" overflow: auto;">
            <table class="table table-condensed table-bordered cf" style="font-size: 11px;  color:black">
                <thead class="cf" style="background-color: blue">
                    <tr class="bg-blue">
                        <th style="background-color: #00BCA4; color: white; text-align: center">
                            No.
                        </th>         
                        <th style="background-color: #00BCA4; color: white; text-align: center">
                            No. SPTPD
                        </th>            
                        <th style="background-color: #00BCA4; color: white; text-align: center">
                            NPWPD
                        </th> 
                        <th style="background-color: #00BCA4; color: white; text-align: center">
                            Nama WP
                        </th>         
                        <th style="background-color: #00BCA4; color: white; text-align: center">
                            NIOP
                        </th>       
                        <th style="background-color: #00BCA4; color: white; text-align: center">
                            Nama OP
                        </th>         
                        <th style="background-color: #00BCA4; color: white; text-align: center">
                            Tgl. SKPDKB
                        </th>       
                        <th style="background-color: #00BCA4; color: white; text-align: center">
                            Jumlah SKPDKB
                        </th>       
                        <th style="background-color: #00BCA4; color: white; text-align: center">
                            Jenis Pajak
                        </th>       
                        <th style="background-color: #00BCA4; color: white; text-align: center">
                            Status Pemeriksaan
                        </th>       
                        <th style="background-color: #00BCA4; color: white; text-align: center">
                            #
                        </th>       
                    </tr>
                    <tr class="bg-default">
                        <td></td>
                        <td><input type="text" id="t_nopenetapan_cari_0" class="form-control input-sm" onkeyup="calldatagridskpdkb()"></td>
                        <td><input type="text" id="t_npwpd_cari_0" class="form-control input-sm" onkeyup="calldatagridskpdkb()"></td>
                        <td><input type="text" id="t_nama_cari_0" class="form-control input-sm" onkeyup="calldatagridskpdkb()"></td>
                        <td><input type="text" id="t_niop_cari_0" class="form-control input-sm" onkeyup="calldatagridskpdkb()"></td>
                        <td><input type="text" id="t_namaobjek_cari_0" class="form-control input-sm" onkeyup="calldatagridskpdkb()"></td>
                        <td><input type="text" id="t_tglpenetapan_cari_0" class="form-control input-sm" onchange="calldatagridskpdkb()"></td>
                        <td><input type="text" id="t_jmlhpajak_cari_0" class="form-control input-sm" onkeyup="calldatagridskpdkb()"></td>
                        <td><input type="text" id="t_jenispajak_cari_0" class="form-control input-sm" onkeyup="calldatagridskpdkb()"></td>
                        <td></td>
                        <td></td>
                    </tr>
                </thead>
                <tbody id="body_grid1">
                </tbody>
                <tfoot>              
                    <tr>
                        <td colspan="11" class="text-center">
                            <div class="row">
                                <div class="col-sm-3 text-left">
                                    <span class="hiddene">
                                        <select id="rows1" class="form-control" style="width: 30%" onchange="calldatagridskpdkb(1)">
                                            <option value="10">10</option>
                                            <option value="20">20</option>
                                            <option value="30">30</option>
                                            <option value="40">40</option>
                                            <option value="50">50</option>
                                        </select>
                                    </span>
                                </div>
                                <div class="col-sm-6" style="text-align: center">
                                    <center>
                                        <div id="paginatore1"></div>
                                        <input type="hidden" id="page1" value="1">
                                    </center>
                                </div>
                                <div class="col-sm-3 text-right">
                                    <span class="hiddene">
                                        <p>
                                            <b style="font-size: 13px; color: orangered"><span id="awaldata1"></span> s/d <span id="akhirdata1"></span> Dari <span id="total_data1"></span> Data</b>
                                        </p>  
                                    </span>
                                </div>
                            </div>
                        </td>
                    </tr>
                </tfoot>
            </table>
        </div>
    </div>
</div>
<div class="modal fade" id="modalCetakSKPDKB" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-md">
        <div class="modal-content">
            <div class="modal-header bg-warning">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                <h4 class="modal-title" id="myModalLabel"><b>CETAK SKPDKB</b></h4>
            </div>
            <div class='modal-body'>
                <div class='example-box-wrapper'>
                    <div class='example-box-wrapper'>
                        <div class="col-md-12 form-horizontal">
                            <label class="col-md-3 control-label">
                                Tgl. Pemeriksaan
                            </label>
                            <div class="col-md-4">
                                <input type="hidden" name="idtransaksi" id="idtransaksi">
                                <input type="text" class="form-control" name="tglskpdkb" id="tglskpdkb" readonly>
                            </div>
                        </div>
                        <div class="col-md-12 form-horizontal">
                            <label class="col-md-3 control-label">
                                Nama WP
                            </label>
                            <div class="col-md-6">
                                <input type="text" class="form-control" name="namawp" id="namawp" readonly="">
                            </div>
                        </div>
                        <div class="col-md-12 form-horizontal">
                            <label class="col-md-3 control-label">
                                Alamat WP
                            </label>
                            <div class="col-md-9">
                                <textarea class="form-control" name="alamatwp" id="alamatwp" readonly=""></textarea>
                            </div>
                        </div>
                        <div class="col-md-12 form-horizontal">
                            <label class="col-md-3 control-label">
                                Penandatangan
                            </label>
                            <div class="col-md-9">
                                <select name="ttd0" id="ttd0" class="form-control">
                                    <?php foreach ($ar_ttd0 as $row) { ?>
                                        <option value="<?= $row['s_idpej'] ?>"><?= $row['s_namapej'] . " || " . $row['s_jabatanpej'] ?></option>
                                    <?php } ?>
                                </select>
                            </div>
                        </div>
                    </div>
                </div> 
            </div>
            <div class='modal-footer'>
                <div class='col-sm-12'> 
                    <a href="#" class="btn btn-sm btn-danger" title="" onclick="cetakskpdkb()"><i class="glyph-icon icon-file-pdf-o"></i> PDF</a>
                    <button class='btn btn-primary btn-sm' onclick='tutupCetakSKPDKB()'><i class='glyph-icon icon-close'></i> Tutup</button>
                </div>              
            </div> 
        </div>
    </div>
</div>
<script type="text/javascript">
    $(function () {
        $('#t_tglpenetapan_cari_0').daterangepicker({
            format: 'DD-MM-YYYY'
        }, function () {
            calldatagridskpdkb();
        });
    });
    
    $(function () {
        calldatagridskpdkb();
    });

    function calldatagridskpdkb(direction) {
        datagridskpdkb($("#page1").val(), $("#rows1").val(), direction);
    }

    function datagridskpdkb(page, row, direction) {
        $.post('<?= $this->url() ?>/dataGridSkpdkb/' + page + '/' + row + '/' + direction,{
            t_tglpenetapan: $('#t_tglpenetapan_cari_0').val(),
            t_npwpd: $('#t_npwpd_cari_0').val(),
            t_nama: $('#t_nama_cari_0').val(),
            t_niop: $('#t_niop_cari_0').val(),
            t_namaobjek: $('#t_namaobjek_cari_0').val(),
            t_nopenetapan: $('#t_nopenetapan_cari_0').val(),
            t_jenispajak: $('#t_jenispajak_cari_0').val(),
            t_jmlhpajak: $('#t_jmlhpajak_cari_0').val()
        }, function (data) {
            var aa = JSON.parse(data)
            $("#body_grid1").html(aa.gridsudah);
            $("#rows1").val(aa.rowssudah);
            $("#page1").val(aa.pagesudah);
            $("#total_data1").html(": " + aa.countsudah);
            $("#total_halaman1").html(": " + aa.total_halamansudah);
            $("#paginatore1").html(aa.paginatoresudah);
            $("#awaldata1").html(aa.awaldatasudah);
            $("#akhirdata1").html(aa.akhirdatasudah);
        });
    }

    function hapus(a) {
        var tanya = confirm("Hapus data ini?")
        if (tanya) {
            $.post('<?= $this->url() ?>/hapus/' + a);
        }
        setTimeout(function () {
            calldatagridskpdkb();
        }, 1000);
    }

    function bukaCetakSKPDKB(a) {
        $.post('<?= $this->url() ?>/dataSkpdkb', {idtransaksi: a}, function (data) {
            var aa = JSON.parse(data);
            $("#idtransaksi").val(aa.idtransaksi);
            $("#namawp").val(aa.namawp);
            $("#alamatwp").val(aa.alamatwp);
            $("#tglskpdkb").val(aa.tglskpdkb);
        });
        $('#modalCetakSKPDKB').modal('show');
    }

    function tutupCetakSKPDKB() {
        $('#modalCetakSKPDKB').modal('hide');
    }

    function cetakskpdkb() {
        window.open('<?= $this->url() ?>/cetakskpdkb?idtransaksi=' + $("#idtransaksi").val() + "&ttd0=" + $("#ttd0").val());
    }

</script>
<style type="text/css">
    .combooperatorsudahc select {
        border: 0 !important;  /*Removes border*/
        -webkit-appearance: none;  /*Removes default chrome and safari style*/
        -moz-appearance: none; /* Removes Default Firefox style*/
        appearance:none;
        /*background: #E08E0B url(img/select-arrow.png) no-repeat 90% center;*/
        background: #E08E0B no-repeat 90% center;
        text-indent: 0.01px; /* Removes default arrow from firefox*/
        color: #FFF;
    }	
</style>
